For the complete documentation index, see llms.txt. This page is also available as Markdown.

Artifacts

delete

Deletes a model version to artifact link.

Args: model_version_id: ID of the model version containing the link. model_version_artifact_link_name_or_id: name or ID of the model version to artifact link to be deleted.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
model_version_idstring · uuidRequired
model_version_artifact_link_name_or_idany ofRequired
stringOptional
or
string · uuidOptional
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/model_versions/{model_version_id}/artifacts/{model_version_artifact_link_name_or_id}
DELETE /api/v1/model_versions/{model_version_id}/artifacts/{model_version_artifact_link_name_or_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Delete All Model Version Artifact Links

delete

Deletes all model version to artifact links.

Args: model_version_id: ID of the model version containing links. only_links: Whether to only delete the link to the artifact.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
model_version_idstring · uuidRequired
Query parameters
only_linksbooleanOptionalDefault: true
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/model_versions/{model_version_id}/artifacts
DELETE /api/v1/model_versions/{model_version_id}/artifacts HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

ZenML Scarf

Last updated

Was this helpful?